/******************************************************************************
 htsserver - the server application for the trading game Holsham Traders
 Copyright (C) 1998-2001 Uwe Hermann

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

/* net.h  --  Networking code. */


#ifndef NET_H
#define NET_H    /* To stop multiple inclusions. */


#include "common.h"
#include "connections.h"


extern GMainLoop *mainloop;


void net_main_loop(void);

gint net_create_socket(gushort port);

gboolean net_handle_client(GIOChannel *source, GIOCondition condition,
                           gpointer data);

gchar *net_recv_from_client(connection_t *connection);
void net_send_to_client(connection_t *connection, const gchar *fmt, ...);

void net_broadcast_to_connections(GList *connection_list, 
                                  const gchar *fmt, ...);
void net_broadcast_to_players(GList *player_list, const gchar *fmt, ...);


#endif /* NET_H */

